<?php
/*
Plugin Name: Get Random page
Version: 0.1
Plugin URI: http://www.aviransplace.com/files/get-random-page.zip
Author: Aviran Mordo
Author URI: http://www.aviransplace.com
Description: Output a random page. 
	This plugin is good for displaying a random page. 
	It can be used to display random ad, random tip, random quote or anything else.
	You can select a random page to be a child of a page so you can categorize your pages.
*/ 

// Outputs a random page.
// $child_of is the page ID (number) from which you want to select the random page
// If $child_of is not set then it'll pick a random page from all your pages
function get_random_page($child_of = 0)
{
	$pages = &get_pages("child_of=".$child_of);
	$pageInd = rand(0, count($pages) - 1);
	echo $pages[$pageInd]->post_content;
}

?>
